[Unit]
Description=CoreMedia {{ coremedia_application_name }}
After=syslog.target network.target

ConditionFileNotEmpty = {{ master_live.cap.server.license }}

[Service]
Type=forking
PIDFile={{ master_live.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ master_live.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ master_live.user_home }}/current

ExecStart={{ master_live.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}
ExecStop={{ master_live.user_home }}/current/bin/shutdown.sh 30

User={{ master_live_user }}
Group={{ master_live_group }}

[Install]
WantedBy=multi-user.target
